//////////////////////////////////////////////////////////////////////////////////////////////////
// var amount = 99.99;     // Переменная

// amount = amount * 2;

// console.log( amount );		// 199.98

// // преобразует `amount` в строку и
// // добавляет "$" в начало
// amount = "$" + String( amount );    // String приобразует числовое значение в строку

// console.log( amount );		// "$199.98"
//////////////////////////////////////////////////////////////////////////////////////////////////
/* Констаны, обычно пишутся большими буквами,
     с подчеркиваниями _ между словами.*/

// var TAX_RATE = 0.08;	// 8% налог с продаж  Константа ES5 //    Константа

// // согласно ES6:
// const TAX_RATE = 0.08; //   Константа ES6

// // ..
//////////////////////////////////////////////////////////////////////////////////////////////////

// var amount = 99.99;  // Переменная 

// amount = amount * 2;

// amount = amount + (amount * TAX_RATE);
//////////////////////////////////////////////////////////////////////////////////////////////////
// console.log( amount );				// 215.9784
// /* toFixed(..) позволяет нам указать, до скольких знаков после запятой мы хотим округлить число,
//     и при необходимости возвращает строку */
// console.log( amount.toFixed( 2 ) );	// "215.98"         toFixed-исправить
//////////////////////////////////////////////////////////////////////////////////////////////////
/*  Примечание: В отличие от многих других операторов, таких как console.log(amount);,
     блоковый оператор не требует точки с запятой (;) в конце. */
// var amount = 99.99;   // Переменная 

// // отдельный блок
// {
// 	amount = amount * 2;
// 	console.log( amount );	// 199.98
// }
//////////////////////////////////////////////////////////////////////////////////////////////////
/*  Примечание: В отличие от многих других операторов, таких как console.log(amount);,
     блоковый оператор не требует точки с запятой (;) в конце. */
// отдельный блок использовать if
// var amount = 99.99;   // Переменная 

// // сумма достаточно велика?
// if (amount > 10) {			// <-- блок прикрепляется к `if`
// 	amount = amount * 2;
// 	console.log( amount );	// 199.98
// }
//////////////////////////////////////////////////////////////////////////////////////////////////
// Оператор if. По сути, говорит, «Если (if) это условие истинно, сделать следующее...».
// var bank_balance = 302.13;  // Переменная 
// var amount = 99.99;  // Переменная 
// // Если счет amount < bank_balance то истина (true), if amount > bank_balance как ложь (false)
// if (amount < bank_balance) {
// 	console.log( "Я хочу купить этот телефон" );
// }
//////////////////////////////////////////////////////////////////////////////////////////////////
// const ACCESSORY_PRICE = 9.99; //    Константа

// var bank_balance = 302.13;  //  Переменная
// var amount = 99.99;     //  Переменная

// amount = amount * 2;

// может ли мы позволить себе дополнительную покупку? 
// Если
// if ( amount < bank_balance ) {
// 	console.log( "Я возьму этот аксессуар!" );
// 	amount = amount + ACCESSORY_PRICE;
// }
// // Иначе:
// else {
// 	console.log( "Нет, спасибо." );
// }
//////////////////////////////////////////////////////////////////////////////////////////////////
// while (numOfCustomers > 0) {
// 	console.log( "Чем я могу вам помочь?" );

// 	// помощь покупателю...

// 	numOfCustomers = numOfCustomers - 1;
// }

// // против:

// do {
// 	console.log( "Чем я могу вам помочь?" );

// 	// помощь покупателю...

// 	numOfCustomers = numOfCustomers - 1;
// } while (numOfCustomers > 0);
//////////////////////////////////////////////////////////////////////////////////////////////////

// var i = 0;  // Переменная 

// // цикл `while..true` будет выполняться вечно, не так ли?
// while (true) {
// 	// прервать цикл?
// 	if ((i <= 9) === false) {
// 		break;
// 	}

// 	console.log( i );
// 	i = i + 1;
// }
// // 0 1 2 3 4 5 6 7 8 9
//////////////////////////////////////////////////////////////////////////////////////////////////
// for (var i = 0; i <= 9; i = i + 1) {  // Переменная 
// 	console.log( i );
// }
// // 0 1 2 3 4 5 6 7 8 9
//////////////////////////////////////////////////////////////////////////////////////////////////
// function printAmount() {
/* toFixed(..) позволяет нам указать, до скольких знаков после запятой мы хотим округлить число,
    и при необходимости возвращает строку */
// 	console.log( amount.toFixed( 2 ) );
// }

// var amount = 99.99;  // Переменная 

// printAmount(); // "99.99"

// amount = amount * 2;

// printAmount(); // "199.98"
//////////////////////////////////////////////////////////////////////////////////////////////////
// // printAmount НАЗВАНИЕ ФУНКЦИИ
// function printAmount(amt) {
// /* toFixed(..) позволяет нам указать, до скольких знаков после запятой мы хотим округлить число,
//     и при необходимости возвращает строку */
// 	console.log( amt.toFixed( 2 ) );
// }
// // printAmount НАЗВАНИЕ ФУНКЦИИ
// function formatAmount() {
// /* toFixed(..) позволяет нам указать, до скольких знаков после запятой мы хотим округлить число,
//     и при необходимости возвращает строку */
// 	return "$" + amount.toFixed( 2 );
// }

// var amount = 99.99;  // Переменная 
// // printAmount НАЗВАНИЕ ФУНКЦИИ
// printAmount( amount * 2 );		// "199.98"
// // printAmount НАЗВАНИЕ ФУНКЦИИ
// amount = formatAmount();
// console.log( amount );			// "$99.99"
//////////////////////////////////////////////////////////////////////////////////////////////////
// const TAX_RATE = 0.08;
// // printAmount НАЗВАНИЕ ФУНКЦИИ
// function calculateFinalPurchaseAmount(amt) {
// 	// вычисляем новую сумму с налогом
// 	amt = amt + (amt * TAX_RATE);

// 	// возвращаем новую сумму
// 	return amt;
// }

// var amount = 99.99;  // Переменная 
// // printAmount НАЗВАНИЕ ФУНКЦИИ
// amount = calculateFinalPurchaseAmount( amount );
// /* toFixed(..) позволяет нам указать, до скольких знаков после запятой мы хотим округлить число,
// //     и при необходимости возвращает строку */
// console.log( amount.toFixed( 2 ) );		// "107.99"
//////////////////////////////////////////////////////////////////////////////////////////////////
// function one() {
// 	// эта `a` принадлежит только функции `one()`
// 	var a = 1;  // Переменная 
// 	console.log( a );    
// }

// function two() {
// 	// эта `a` принадлежит только функции `two()`
// 	var a = 2;  // Переменная 
// 	console.log( a );
// }

// one();		// 1  // Переменная 
// two();		// 2  // Переменная 
//////////////////////////////////////////////////////////////////////////////////////////////////
// function outer() {  // Переменная 
// 	var a = 1;

// 	function inner() {  // Переменная 
// 		var b = 2;

// 		// здесь у нас есть доступ и к `a`, и к `b`
// 		console.log( a + b );	// 3
// 	}

// 	inner();  // Переменная 

// 	// здесь у нас есть доступ только к  `a`
// 	console.log( a );			// 1
// }

// outer();  // Переменная 
//////////////////////////////////////////////////////////////////////////////////////////////////
// const SPENDING_THRESHOLD = 200;
// const TAX_RATE = 0.08;
// const PHONE_PRICE = 99.99;
// const ACCESSORY_PRICE = 9.99;

// var bank_balance = 303.91;
// var amount = 0;

// function calculateTax(amount) {
// 	return amount * TAX_RATE;
// }

// function formatAmount(amount) {
// 	return "$" + amount.toFixed( 2 );
// }
// продолжаем покупать телефоны пока у нас остаются деньги
// while (amount < bank_balance) {
// 	// покупаем новый телефон!
// 	amount = amount + PHONE_PRICE;

// 	// можем ли мы позволить себе аксессуар?
// 	if (amount < SPENDING_THRESHOLD) {
// 		amount = amount + ACCESSORY_PRICE;
// 	}
// }

// // не забудьте заплатить налог
// amount = amount + calculateTax( amount );

// console.log(
// 	"Ваша покупка: " + formatAmount( amount )
// );
// // Ваша покупка: $334.76

// // можете ли вы в самом деле позволить себе эту покупку?
// if (amount > bank_balance) {
// 	console.log(
// 		"Вы не можете позволить себе эту покупку. :("
// 	);
// }
// // Вы не можете позволить себе эту покупку. :(
//////////////////////////////////////////////////////////////////////////////////////////////////
